List Requests
curl --request GET \
--url https://populardemand.market/api/purchases \
--header 'Authorization: Bearer <token>'import requests
url = "https://populardemand.market/api/purchases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://populardemand.market/api/purchases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://populardemand.market/api/purchases",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://populardemand.market/api/purchases"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://populardemand.market/api/purchases")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://populardemand.market/api/purchases")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"intents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "draft",
"version": 123,
"raw_request": "<string>",
"country": "US",
"currency": "USD",
"price_limit": {
"amount_minor": 123,
"currency": "USD"
},
"items_summary": {
"items_count": 123,
"known_units": 4503599627370495,
"unknown_quantity_items": 4503599627370495,
"basket_acceptance": "all_required"
},
"resolution_status": "<string>",
"research_status": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"as_of": "2023-11-07T05:31:56Z",
"pricing": {
"status": "exploratory",
"amount_minor": 4503599627370495,
"label": "<string>"
},
"baseline_summary": {
"amount_minor": 123,
"observed_at": "2023-11-07T05:31:56Z",
"valid_until": "2023-11-07T05:31:56Z"
},
"blockers": [
"<string>"
],
"next_actions": [
{
"code": "<string>",
"actor": "<string>",
"message": "<string>"
}
],
"execution_available": false,
"detail_url": "<string>",
"buyer_status": {
"state": "closed",
"label": "<string>",
"details": "item"
},
"exact_item_confirmation": {
"confirmed_by": "person",
"confirmed_at": "2023-11-07T05:31:56Z",
"request_version": 123
},
"needs_attention": [
"new_offer"
],
"attention": [
{
"flag": "new_offer",
"message": "<string>",
"agent_line": "<string>"
}
]
}
],
"can": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}Requests
List Requests
List owned Request summaries within the approved agent scope. Includes actual blockers and useful next actions. Fetch detail_url for evidence diagnostics and history. Reading does not reaffirm interest. Without paging parameters the response is up to 100 summaries of open Requests under the intents key. With limit, status, before_created_at or before_id the response is one PurchaseListPage of at most 20, newest first: pass next_cursor back as before_created_at and before_id until it is null, to read every Request. Each summary has needs_attention, as list_requests does.
GET
/
api
/
purchases
List Requests
curl --request GET \
--url https://populardemand.market/api/purchases \
--header 'Authorization: Bearer <token>'import requests
url = "https://populardemand.market/api/purchases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://populardemand.market/api/purchases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://populardemand.market/api/purchases",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://populardemand.market/api/purchases"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://populardemand.market/api/purchases")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://populardemand.market/api/purchases")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"intents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "draft",
"version": 123,
"raw_request": "<string>",
"country": "US",
"currency": "USD",
"price_limit": {
"amount_minor": 123,
"currency": "USD"
},
"items_summary": {
"items_count": 123,
"known_units": 4503599627370495,
"unknown_quantity_items": 4503599627370495,
"basket_acceptance": "all_required"
},
"resolution_status": "<string>",
"research_status": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"as_of": "2023-11-07T05:31:56Z",
"pricing": {
"status": "exploratory",
"amount_minor": 4503599627370495,
"label": "<string>"
},
"baseline_summary": {
"amount_minor": 123,
"observed_at": "2023-11-07T05:31:56Z",
"valid_until": "2023-11-07T05:31:56Z"
},
"blockers": [
"<string>"
],
"next_actions": [
{
"code": "<string>",
"actor": "<string>",
"message": "<string>"
}
],
"execution_available": false,
"detail_url": "<string>",
"buyer_status": {
"state": "closed",
"label": "<string>",
"details": "item"
},
"exact_item_confirmation": {
"confirmed_by": "person",
"confirmed_at": "2023-11-07T05:31:56Z",
"request_version": 123
},
"needs_attention": [
"new_offer"
],
"attention": [
{
"flag": "new_offer",
"message": "<string>",
"agent_line": "<string>"
}
]
}
],
"can": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}Authorizations
Headers
Current contract only; no version negotiation. See https://docs.populardemand.market/api-reference/introduction.
Query Parameters
next_cursor.before_created_at from the previous page.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$